#include<bits/stdc++.h>
using namespace std;

int main()
{
    string t, c;
    cin>>t>>c;
    unordered_set<char> s;
    unordered_map<char, int> m;
    int ming = 300000;
    char minc=c[0];
    for(int i=0;i<c.length();i++)
        s.insert(c[i]);
    for(auto i=s.begin();i!=s.end();i++)
        for(int j=0;j<t.length();j++)
            if(*i==t[j])
                m[*i]++;

    for(auto i=s.begin();i!=s.end();i++)
    {
        if(m[*i]<ming)
        {
            ming=m[*i];
            minc = *i;
        }
    }
    cout<<ming<<endl;
    for(int i=0;i<t.length();i++)
    {
        if(t[i]==minc)
            cout<<'*';
        else
            cout<<t[i];
    }
    return 0;
}